QGIS Application - Bug report #16226
Map Settings variables are not updating
2017-02-23 03:16 AM - Alexandre Neto

Status: Open

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.3(master) Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24136
Description

Maybe I'm missing something here but seems that the Map Settings variables of map items in the print composer are not being updated

when the map item changes.

It appears to be just a display problem. Using one of the Map Settings variables in an expression works as expected.

To recreate the problem:

- Open the project in attachment, open "composition 1" in the Print Composer;

- Select the Map Item and check item properties panel;

- Confirm that the map item scale and the Map Settings' map_scale variable match;
- Change the map item scale

- And see that none of the Map settings variables are updated.

This affects QGIS 2.18 and QGIS 2.99 (not sure about previous versions)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2018-10-16 01:05 PM - Alexandre Neto

- Affected QGIS version changed from master to 3.3(master)

- Description updated

This issue is still present in 3.3.

The map settings variables on the map item properties dialog are not updated when the map item changes, deselecting the map item and select it again

fixes it.
